/*
   +----------------------------------------------------------------------+
   | PHP Version 4                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2003 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.0 of the PHP license,       |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.php.net/license/3_0.txt.                                  |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: Omar Kilani <omar@tinysofa.com>                              |
   +----------------------------------------------------------------------+
   $Id: php_js.h,v 1.2 2003/12/09 10:48:09 omar Exp $
*/

#ifndef PHP_JS_H
#define PHP_JS_H

#include "php.h"

extern zend_module_entry js_module_entry;
#define phpext_js_ptr &js_module_entry

#ifdef PHP_WIN32
#define PHP_JS_API __declspec(dllexport)
#else
#define PHP_JS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#define PHP_JS_VERSION "0.1.2"

#endif
